# -*- coding: utf-8 -*-

# © 2017 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import api, fields, models

class ProjectLFConfiguration(models.TransientModel):
	_name = 'project.config.settings'
	_inherit = 'project.config.settings'

	lf_heures_jour = fields.Float('Heures / Jour', help="Base de temps pour le calcul du nombre d'heures vendues par projet (7h par défaut)", default=7.0 )

	@api.multi
	def set_default_lf_heures_jour(self):
		# if self.env.user.has_group('project.group_erp_manager'):
		Values = self.env['ir.values'].sudo()
		
		Values.set_default('project.config.settings', 'lf_heures_jour', self.lf_heures_jour)

	@api.multi
	def get_default_lf_heures_jour(self, field):
		lf_heures_jour = self.env['ir.values'].get_default('project.config.settings', 'lf_heures_jour')

		return { 'lf_heures_jour': lf_heures_jour if lf_heures_jour else 7.0 }
        